%--------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%--------------------------------------------------------------------------
input_formula(formula_36,hypothesis,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p9(X1,f2(X1))
        & p8(X2,f1(c15,X1))
        & p7(f2(X1),X2) )
     => p13(c14,c15,X2) )   )).

input_formula(formula_18,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1,X2)
        & p11(X1) )
     => p11(X2) )   )).

input_formula(formula_3,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & equal(X2,X3) )
     => equal(X1,X3) )   )).

input_formula(formula_24,axiom,(
    ! [X2] : 
      ( ( p10(X2)
        & p12(X2) )
     => ! [X1] : 
          ( ( p5(X1)
            & p9(X2,X1) )
         => ~ p9(X1,f2(X1)) ) )   )).

input_formula(formula_27,axiom,(
    p11(c15)   )).

input_formula(formula_31,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p8(f3(X1),f1(c16,X1)) )
     => p9(X1,f1(c16,X1)) )   )).

input_formula(formula_23,axiom,(
    ! [X2] : 
      ( ( p10(X2)
        & p11(c14)
        & p11(c15)
        & ! [X1] : 
            ( ( p5(X1)
              & p9(X2,X1) )
           => p13(c15,c14,f3(X1)) ) )
     => p13(c15,c14,X2) )   )).

input_formula(formula_29,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & ~ p9(X1,f2(X1)) )
     => p7(f2(X1),f3(X1)) )   )).

input_formula(formula_9,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1,X2)
        & p5(X1) )
     => p5(X2) )   )).

input_formula(formula_1,axiom,(
    ! [X1] : equal(X1,X1)   )).

input_formula(formula_26,axiom,(
    p11(c14)   )).

input_formula(formula_16,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p9(X3,X1) )
     => p9(X3,X2) )   )).

input_formula(formula_38,conjecture,(
    ! [X1] : 
      ( ( p10(X1)
        & p12(X1)
        & ~ p6(X1) )
     => p13(c14,c15,X1) )   )).

input_formula(formula_32,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p8(X2,f1(c15,X1))
        & p7(f2(X1),X2)
        & ( p9(X1,f2(X1))
         => p13(c14,c15,X2) ) )
     => ( ~ p9(X1,f2(X1))
       => p13(c14,c15,f3(X1)) ) )   )).

input_formula(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p7(X3,X1) )
     => p7(X3,X2) )   )).

input_formula(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1,X2)
     => equal(f1(X3,X1),f1(X3,X2)) )   )).

input_formula(formula_13,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p8(X1,X3) )
     => p8(X2,X3) )   )).

input_formula(formula_35,hypothesis,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p9(X1,X2)
        & p8(X2,f1(c14,X1))
        & p7(f1(c15,X1),X2) )
     => p13(c14,c15,X2) )   )).

input_formula(formula_20,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1,X2)
        & p13(X1,X3,X4) )
     => p13(X2,X3,X4) )   )).

input_formula(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p7(X1,X3) )
     => p7(X2,X3) )   )).

input_formula(formula_17,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1,X2)
        & p10(X1) )
     => p10(X2) )   )).

input_formula(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1,X2)
     => equal(f1(X1,X3),f1(X2,X3)) )   )).

input_formula(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p8(X3,X1) )
     => p8(X3,X2) )   )).

input_formula(formula_7,axiom,(
    ! [X1,X2] : 
      ( equal(X1,X2)
     => equal(f3(X1),f3(X2)) )   )).

input_formula(formula_21,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1,X2)
        & p13(X3,X1,X4) )
     => p13(X3,X2,X4) )   )).

input_formula(formula_33,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => ( p7(X1,X2)
        | equal(X1,X2) ) )   )).

input_formula(formula_30,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & ~ p4(X1) )
     => p8(f3(X1),f1(c16,X1)) )   )).

input_formula(formula_28,axiom,(
    ! [X1] : 
      ( p5(X1)
     => p9(X1,f3(X1)) )   )).

input_formula(formula_37,hypothesis,(
    ! [X1] : 
      ( ( p5(X1)
        & p9(X1,f1(c16,X1)) )
     => equal(f1(c16,X1),f1(c14,X1)) )   )).

input_formula(formula_2,axiom,(
    ! [X1,X2] : 
      ( equal(X1,X2)
     => equal(X2,X1) )   )).

input_formula(formula_15,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p9(X1,X3) )
     => p9(X2,X3) )   )).

input_formula(formula_22,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1,X2)
        & p13(X3,X4,X1) )
     => p13(X3,X4,X2) )   )).

input_formula(formula_6,axiom,(
    ! [X1,X2] : 
      ( equal(X1,X2)
     => equal(f2(X1),f2(X2)) )   )).

input_formula(formula_8,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1,X2)
        & p4(X1) )
     => p4(X2) )   )).

input_formula(formula_19,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1,X2)
        & p12(X1) )
     => p12(X2) )   )).

input_formula(formula_25,axiom,(
    ! [X2] : 
      ( ( p10(X2)
        & ~ p6(X2) )
     => ! [X1] : 
          ( ( p5(X1)
            & p9(X2,X1) )
         => ~ p4(X1) ) )   )).

input_formula(formula_10,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1,X2)
        & p6(X1) )
     => p6(X2) )   )).

input_formula(formula_34,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1,X2)
        & ~ p7(f1(c15,X1),X2) )
     => p8(X2,f1(c15,X1)) )   )).
%--------------------------------------------------------------------------
